%global gitrev      229698

Name:           eclipse-vrapper
Version:        0.22.0
Release:        6%{?dist}
Summary:        Vim-like editing in Eclipse

Group:          Development/Tools
License:        GPLv3+
URL:            http://vrapper.sourceforge.net
Source0:        vrapper-%{version}.tar.bz2
# Source gathered via:
# git clone git://github.com/vrapper/vrapper.git vrapper-0.22.0
# cd vrapper-0.22.0; git checkout 229698; cd ../
# tar cjvpf vrapper-0.22.0.tar.bz2 vrapper-0.22.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  java-devel >= 1.5.0
BuildRequires:  eclipse-pde
Requires:       eclipse-platform

%description
Vrapper is an eclipse plugin which acts as a wrapper for eclipse text editors
to provide a Vim-like input scheme for moving around and editing text.

%prep
%setup -q -n vrapper-%{version}

%build
eclipse-pdebuild -f net.sourceforge.vrapper
eclipse-pdebuild -f net.sourceforge.vrapper.plugin.surround

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/eclipse/dropins/vrapper
unzip -q -d $RPM_BUILD_ROOT%{_datadir}/eclipse/dropins/vrapper \
build/rpmBuild/net.sourceforge.vrapper.zip
unzip -q -d $RPM_BUILD_ROOT%{_datadir}/eclipse/dropins/vrapper \
build/rpmBuild/net.sourceforge.vrapper.plugin.surround.zip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/eclipse/dropins/vrapper

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 28 2012 Jesse Keating <jkeating@redhat.com> - 0.22.0-1
- Update for 0.22.0
- An actual release this time
- Lots of new features, see http://sourceforge.net/news/?group_id=249013&id=308547

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-0.2.git1961d1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 14 2012 Jesse Keating <jkeating@redhat.com> - 0.18.0-0.1.git1961d1
- Update for 0.18.0 -- mostly bugfix
- Switch git source to github

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.2.git3a2bac
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 11 2011 Jesse Keating <jkeating@redhat.com> - 0.16.0-0.1.git3a2bac
- Update for 0.16.0
- Switch to source fetching via git

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.3.svn351
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 06 2010 Jesse Keating <jkeating@redhat.com> - 0.15.0-0.2.svn351
- Build the surround plugin too

* Fri Dec 03 2010 Jesse Keating <jkeating@redhat.com> - 0.15.0-0.1.svn351
- Build from trunk, which is 0.15.0 pre-release/snapshot

* Fri Dec 03 2010 Jesse Keating <jkeating@redhat.com> - 0.14.0-2
- Build from the 0.14 branch

* Fri Dec 03 2010 Jesse Keating <jkeating@redhat.com> - 0.14.0-1
- Initial package


